<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en-US">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.5"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>DayZExpansion: DayzExpansion/Core/Scripts/4_world/dayzexpansion_core/classes/fsm/expansionstatetype.c Source File</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../resize.js"></script>
<script type="text/javascript" src="../../navtreedata.js"></script>
<script type="text/javascript" src="../../navtree.js"></script>
<link href="../../search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../search/searchdata.js"></script>
<script type="text/javascript" src="../../search/search.js"></script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectlogo"><img alt="Logo" src="../../doxygen_light.png"/></td>
  <td id="projectalign">
   <div id="projectname">DayZExpansion<span id="projectnumber">&#160;1.7.12</span>
   </div>
   <div id="projectbrief">DayZExpansion Script Documentation Courtecy of P4K1TZ</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.5 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "../../search/",'.html');
/* @license-end */
</script>
<script type="text/javascript" src="../../menudata.js"></script>
<script type="text/javascript" src="../../menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('../../',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(document).ready(function(){initNavTree('db/d08/expansionstatetype_8c_source.html','../../'); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<div id="MSearchResults">
<div class="SRPage">
<div id="SRIndex">
<div id="SRResults"></div>
<div class="SRStatus" id="Loading">Loading...</div>
<div class="SRStatus" id="Searching">Searching...</div>
<div class="SRStatus" id="NoMatches">No Matches</div>
</div>
</div>
</div>
</div>

<div class="header">
  <div class="headertitle"><div class="title">expansionstatetype.c</div></div>
</div><!--header-->
<div class="contents">
<a href="../../db/d08/expansionstatetype_8c.html">Go to the documentation of this file.</a><div class="fragment"><div class="line"><a id="l00001" name="l00001"></a><span class="lineno"><a class="line" href="../../d3/d2e/class_expansion_state_type.html">    1</a></span><span class="keyword">class </span><a class="code hl_class" href="../../d3/d2e/class_expansion_state_type.html">ExpansionStateType</a></div>
<div class="line"><a id="l00002" name="l00002"></a><span class="lineno">    2</span>{</div>
<div class="line"><a id="l00003" name="l00003"></a><span class="lineno"><a class="line" href="../../d3/d2e/class_expansion_state_type.html#a9d55f33f5950d7f7fd123ed203496b69">    3</a></span>    <span class="keyword">private</span> <span class="keyword">static</span> ref map&lt;string, autoptr ExpansionStateType&gt; <a class="code hl_variable" href="../../d3/d2e/class_expansion_state_type.html#a9d55f33f5950d7f7fd123ed203496b69">m_Types</a> = <span class="keyword">new</span> map&lt;string, autoptr ExpansionStateType&gt;();</div>
<div class="line"><a id="l00004" name="l00004"></a><span class="lineno">    4</span> </div>
<div class="line"><a id="l00005" name="l00005"></a><span class="lineno"><a class="line" href="../../d3/d2e/class_expansion_state_type.html#ab89ca757892188b442c707b9eb9fead0">    5</a></span>    <span class="keywordtype">string</span> <a class="code hl_variable" href="../../d3/d2e/class_expansion_state_type.html#ab89ca757892188b442c707b9eb9fead0">m_ClassName</a>;</div>
<div class="line"><a id="l00006" name="l00006"></a><span class="lineno"><a class="line" href="../../d3/d2e/class_expansion_state_type.html#acea37109200c90247445fd42cae06b22">    6</a></span>    ref array&lt;string&gt; <a class="code hl_variable" href="../../d3/d2e/class_expansion_state_type.html#acea37109200c90247445fd42cae06b22">m_Variables</a>;</div>
<div class="line"><a id="l00007" name="l00007"></a><span class="lineno">    7</span> </div>
<div class="line"><a id="l00008" name="l00008"></a><span class="lineno"><a class="line" href="../../d3/d2e/class_expansion_state_type.html#a70ef731092274a1289f55897d5d01d10">    8</a></span>    <span class="keywordtype">void</span> <a class="code hl_function" href="../../d3/d2e/class_expansion_state_type.html#a70ef731092274a1289f55897d5d01d10">ExpansionStateType</a>()</div>
<div class="line"><a id="l00009" name="l00009"></a><span class="lineno">    9</span>    {</div>
<div class="line"><a id="l00010" name="l00010"></a><span class="lineno">   10</span><span class="preprocessor">        #ifdef EAI_TRACE</span></div>
<div class="line"><a id="l00011" name="l00011"></a><span class="lineno">   11</span>        <span class="keyword">auto</span> trace = <a class="code hl_function" href="../../d2/d48/cf__trace_8c.html#a5be2213174cd68943ae1e0885eca5ec7">CF_Trace_0</a>(<span class="keyword">this</span>, <span class="stringliteral">&quot;ExpansionStateType&quot;</span>);</div>
<div class="line"><a id="l00012" name="l00012"></a><span class="lineno">   12</span><span class="preprocessor">        #endif</span></div>
<div class="line"><a id="l00013" name="l00013"></a><span class="lineno">   13</span>        </div>
<div class="line"><a id="l00014" name="l00014"></a><span class="lineno">   14</span>        <a class="code hl_variable" href="../../d3/d2e/class_expansion_state_type.html#acea37109200c90247445fd42cae06b22">m_Variables</a> = <span class="keyword">new</span> array&lt;string&gt;();</div>
<div class="line"><a id="l00015" name="l00015"></a><span class="lineno">   15</span>    }</div>
<div class="line"><a id="l00016" name="l00016"></a><span class="lineno">   16</span> </div>
<div class="line"><a id="l00017" name="l00017"></a><span class="lineno"><a class="line" href="../../d3/d2e/class_expansion_state_type.html#aec063bd147132bcc20bae84fca5a52c5">   17</a></span>    <span class="keyword">static</span> <span class="keywordtype">bool</span> <a class="code hl_function" href="../../d3/d2e/class_expansion_state_type.html#aec063bd147132bcc20bae84fca5a52c5">Contains</a>(<span class="keywordtype">string</span> name)</div>
<div class="line"><a id="l00018" name="l00018"></a><span class="lineno">   18</span>    {</div>
<div class="line"><a id="l00019" name="l00019"></a><span class="lineno">   19</span><span class="preprocessor">        #ifdef EAI_TRACE</span></div>
<div class="line"><a id="l00020" name="l00020"></a><span class="lineno">   20</span>        <span class="keyword">auto</span> trace = <a class="code hl_function" href="../../d2/d48/cf__trace_8c.html#a2dbd0d5f5331e4721875b123084eb0df">CF_Trace_1</a>(<span class="stringliteral">&quot;ExpansionStateType&quot;</span>, <span class="stringliteral">&quot;Contains&quot;</span>).Add(name);</div>
<div class="line"><a id="l00021" name="l00021"></a><span class="lineno">   21</span><span class="preprocessor">        #endif</span></div>
<div class="line"><a id="l00022" name="l00022"></a><span class="lineno">   22</span>        </div>
<div class="line"><a id="l00023" name="l00023"></a><span class="lineno">   23</span>        <span class="keywordflow">return</span> <a class="code hl_variable" href="../../d3/d2e/class_expansion_state_type.html#a9d55f33f5950d7f7fd123ed203496b69">m_Types</a>.Contains(name);</div>
<div class="line"><a id="l00024" name="l00024"></a><span class="lineno">   24</span>    }</div>
<div class="line"><a id="l00025" name="l00025"></a><span class="lineno">   25</span> </div>
<div class="line"><a id="l00026" name="l00026"></a><span class="lineno"><a class="line" href="../../d3/d2e/class_expansion_state_type.html#a30a6cf0ddcb58b433699e31723266f1e">   26</a></span>    <span class="keyword">static</span> <span class="keywordtype">void</span> <a class="code hl_function" href="../../d3/d2e/class_expansion_state_type.html#a30a6cf0ddcb58b433699e31723266f1e">Add</a>(<a class="code hl_class" href="../../d3/d2e/class_expansion_state_type.html">ExpansionStateType</a> type)</div>
<div class="line"><a id="l00027" name="l00027"></a><span class="lineno">   27</span>    {</div>
<div class="line"><a id="l00028" name="l00028"></a><span class="lineno">   28</span><span class="preprocessor">        #ifdef EAI_TRACE</span></div>
<div class="line"><a id="l00029" name="l00029"></a><span class="lineno">   29</span>        <span class="keyword">auto</span> trace = <a class="code hl_function" href="../../d2/d48/cf__trace_8c.html#a2dbd0d5f5331e4721875b123084eb0df">CF_Trace_1</a>(<span class="stringliteral">&quot;ExpansionStateType&quot;</span>, <span class="stringliteral">&quot;Add&quot;</span>).Add(type);</div>
<div class="line"><a id="l00030" name="l00030"></a><span class="lineno">   30</span><span class="preprocessor">        #endif</span></div>
<div class="line"><a id="l00031" name="l00031"></a><span class="lineno">   31</span>        </div>
<div class="line"><a id="l00032" name="l00032"></a><span class="lineno">   32</span>        <a class="code hl_variable" href="../../d3/d2e/class_expansion_state_type.html#a9d55f33f5950d7f7fd123ed203496b69">m_Types</a>.Insert(type.<a class="code hl_variable" href="../../d3/d2e/class_expansion_state_type.html#ab89ca757892188b442c707b9eb9fead0">m_ClassName</a>, type);</div>
<div class="line"><a id="l00033" name="l00033"></a><span class="lineno">   33</span>    }</div>
<div class="line"><a id="l00034" name="l00034"></a><span class="lineno">   34</span> </div>
<div class="line"><a id="l00035" name="l00035"></a><span class="lineno"><a class="line" href="../../d3/d2e/class_expansion_state_type.html#a3d458ed295d38b255e1af7d760afd332">   35</a></span>    <span class="keyword">static</span> <a class="code hl_class" href="../../d3/d2e/class_expansion_state_type.html">ExpansionStateType</a> <a class="code hl_function" href="../../d3/d2e/class_expansion_state_type.html#a3d458ed295d38b255e1af7d760afd332">Get</a>(<span class="keywordtype">string</span> type)</div>
<div class="line"><a id="l00036" name="l00036"></a><span class="lineno">   36</span>    {</div>
<div class="line"><a id="l00037" name="l00037"></a><span class="lineno">   37</span><span class="preprocessor">        #ifdef EAI_TRACE</span></div>
<div class="line"><a id="l00038" name="l00038"></a><span class="lineno">   38</span>        <span class="keyword">auto</span> trace = <a class="code hl_function" href="../../d2/d48/cf__trace_8c.html#a2dbd0d5f5331e4721875b123084eb0df">CF_Trace_1</a>(<span class="stringliteral">&quot;ExpansionStateType&quot;</span>, <span class="stringliteral">&quot;Get&quot;</span>).Add(type);</div>
<div class="line"><a id="l00039" name="l00039"></a><span class="lineno">   39</span><span class="preprocessor">        #endif</span></div>
<div class="line"><a id="l00040" name="l00040"></a><span class="lineno">   40</span>        </div>
<div class="line"><a id="l00041" name="l00041"></a><span class="lineno">   41</span>        <span class="keywordflow">return</span> <a class="code hl_variable" href="../../d3/d2e/class_expansion_state_type.html#a9d55f33f5950d7f7fd123ed203496b69">m_Types</a>[type];</div>
<div class="line"><a id="l00042" name="l00042"></a><span class="lineno">   42</span>    }</div>
<div class="line"><a id="l00043" name="l00043"></a><span class="lineno">   43</span> </div>
<div class="line"><a id="l00044" name="l00044"></a><span class="lineno"><a class="line" href="../../d3/d2e/class_expansion_state_type.html#a8d9b74753b5a1a9b64d85260cf611d5b">   44</a></span>    <span class="keyword">static</span> <a class="code hl_class" href="../../d3/d2e/class_expansion_state_type.html">ExpansionStateType</a> <a class="code hl_function" href="../../d3/d2e/class_expansion_state_type.html#a8d9b74753b5a1a9b64d85260cf611d5b">LoadXML</a>(<a class="code hl_class" href="../../de/d7f/class_expansion_f_s_m_type.html">ExpansionFSMType</a> fsmType, CF_XML_Tag xml_root_tag, FileHandle file)</div>
<div class="line"><a id="l00045" name="l00045"></a><span class="lineno">   45</span>    {</div>
<div class="line"><a id="l00046" name="l00046"></a><span class="lineno">   46</span><span class="preprocessor">        #ifdef EAI_TRACE</span></div>
<div class="line"><a id="l00047" name="l00047"></a><span class="lineno">   47</span>        <span class="keyword">auto</span> trace = <a class="code hl_function" href="../../d2/d48/cf__trace_8c.html#a0d014f7d8fe470a42032abc78925b9d5">CF_Trace_2</a>(<span class="stringliteral">&quot;ExpansionStateType&quot;</span>, <span class="stringliteral">&quot;LoadXML&quot;</span>).Add(fsmName).Add(xml_root_tag);</div>
<div class="line"><a id="l00048" name="l00048"></a><span class="lineno">   48</span><span class="preprocessor">        #endif</span></div>
<div class="line"><a id="l00049" name="l00049"></a><span class="lineno">   49</span> </div>
<div class="line"><a id="l00050" name="l00050"></a><span class="lineno">   50</span>        <span class="keywordtype">string</span> fsmName = fsmType.<a class="code hl_variable" href="../../de/d7f/class_expansion_f_s_m_type.html#ac4eb221384338294352c03dd40eac8b5">m_Name</a>;</div>
<div class="line"><a id="l00051" name="l00051"></a><span class="lineno">   51</span> </div>
<div class="line"><a id="l00052" name="l00052"></a><span class="lineno">   52</span>        <span class="keywordtype">string</span> name = xml_root_tag.GetAttribute(<span class="stringliteral">&quot;name&quot;</span>).ValueAsString();</div>
<div class="line"><a id="l00053" name="l00053"></a><span class="lineno">   53</span>        </div>
<div class="line"><a id="l00054" name="l00054"></a><span class="lineno">   54</span>        <span class="keywordtype">string</span> child_fsm;</div>
<div class="line"><a id="l00055" name="l00055"></a><span class="lineno">   55</span>        <span class="keywordflow">if</span> (xml_root_tag.GetAttribute(<span class="stringliteral">&quot;fsm&quot;</span>))</div>
<div class="line"><a id="l00056" name="l00056"></a><span class="lineno">   56</span>        {</div>
<div class="line"><a id="l00057" name="l00057"></a><span class="lineno">   57</span>            child_fsm = xml_root_tag.GetAttribute(<span class="stringliteral">&quot;fsm&quot;</span>).ValueAsString();</div>
<div class="line"><a id="l00058" name="l00058"></a><span class="lineno">   58</span>        }</div>
<div class="line"><a id="l00059" name="l00059"></a><span class="lineno">   59</span> </div>
<div class="line"><a id="l00060" name="l00060"></a><span class="lineno">   60</span>        <span class="keywordtype">string</span> class_name = <span class="stringliteral">&quot;Expansion_&quot;</span> + fsmName + <span class="stringliteral">&quot;_&quot;</span> + name + <span class="stringliteral">&quot;_State_&quot;</span> + <a class="code hl_class" href="../../de/d7f/class_expansion_f_s_m_type.html">ExpansionFSMType</a>.<a class="code hl_variable" href="../../de/d7f/class_expansion_f_s_m_type.html#a9afb5993cc1b047b684778375281f752">s_ReloadNumber</a>;</div>
<div class="line"><a id="l00061" name="l00061"></a><span class="lineno">   61</span>        </div>
<div class="line"><a id="l00062" name="l00062"></a><span class="lineno">   62</span>        <span class="comment">//if (child_fsm != &quot;&quot;) class_name = &quot;Expansion_FSM_&quot; + child_fsm + &quot;_State&quot;;</span></div>
<div class="line"><a id="l00063" name="l00063"></a><span class="lineno">   63</span> </div>
<div class="line"><a id="l00064" name="l00064"></a><span class="lineno">   64</span>        <span class="keywordflow">if</span> (<a class="code hl_class" href="../../d3/d2e/class_expansion_state_type.html">ExpansionStateType</a>.<a class="code hl_function" href="../../d3/d2e/class_expansion_state_type.html#aec063bd147132bcc20bae84fca5a52c5">Contains</a>(class_name))</div>
<div class="line"><a id="l00065" name="l00065"></a><span class="lineno">   65</span>        {</div>
<div class="line"><a id="l00066" name="l00066"></a><span class="lineno">   66</span>            <span class="keywordflow">return</span> <a class="code hl_class" href="../../d3/d2e/class_expansion_state_type.html">ExpansionStateType</a>.<a class="code hl_function" href="../../d3/d2e/class_expansion_state_type.html#a3d458ed295d38b255e1af7d760afd332">Get</a>(class_name);</div>
<div class="line"><a id="l00067" name="l00067"></a><span class="lineno">   67</span>        }</div>
<div class="line"><a id="l00068" name="l00068"></a><span class="lineno">   68</span> </div>
<div class="line"><a id="l00069" name="l00069"></a><span class="lineno">   69</span>        <a class="code hl_class" href="../../d3/d2e/class_expansion_state_type.html">ExpansionStateType</a> new_type = <span class="keyword">new</span> <a class="code hl_function" href="../../d3/d2e/class_expansion_state_type.html#a70ef731092274a1289f55897d5d01d10">ExpansionStateType</a>();</div>
<div class="line"><a id="l00070" name="l00070"></a><span class="lineno">   70</span>        new_type.<a class="code hl_variable" href="../../d3/d2e/class_expansion_state_type.html#ab89ca757892188b442c707b9eb9fead0">m_ClassName</a> = class_name;</div>
<div class="line"><a id="l00071" name="l00071"></a><span class="lineno">   71</span> </div>
<div class="line"><a id="l00072" name="l00072"></a><span class="lineno">   72</span>        FPrintln(file, <span class="stringliteral">&quot;class &quot;</span> + class_name + <span class="stringliteral">&quot; extends &quot;</span> + fsmType.<a class="code hl_variable" href="../../de/d7f/class_expansion_f_s_m_type.html#a113dbdaf4b2f55c93f5474ddb435c1a4">m_Type</a> + <span class="stringliteral">&quot;State {&quot;</span>);</div>
<div class="line"><a id="l00073" name="l00073"></a><span class="lineno">   73</span> </div>
<div class="line"><a id="l00074" name="l00074"></a><span class="lineno">   74</span>        <span class="keywordtype">string</span> child_fsm_name = <span class="stringliteral">&quot;Expansion_&quot;</span> + child_fsm + <span class="stringliteral">&quot;_FSM_&quot;</span> + <a class="code hl_class" href="../../de/d7f/class_expansion_f_s_m_type.html">ExpansionFSMType</a>.<a class="code hl_variable" href="../../de/d7f/class_expansion_f_s_m_type.html#a9afb5993cc1b047b684778375281f752">s_ReloadNumber</a>;</div>
<div class="line"><a id="l00075" name="l00075"></a><span class="lineno">   75</span> </div>
<div class="line"><a id="l00076" name="l00076"></a><span class="lineno">   76</span>        <span class="keywordflow">if</span> (child_fsm != <span class="stringliteral">&quot;&quot;</span>)</div>
<div class="line"><a id="l00077" name="l00077"></a><span class="lineno">   77</span>        {</div>
<div class="line"><a id="l00078" name="l00078"></a><span class="lineno">   78</span>            FPrintln(file, child_fsm_name + <span class="stringliteral">&quot; sub_fsm;&quot;</span>);</div>
<div class="line"><a id="l00079" name="l00079"></a><span class="lineno">   79</span>        }</div>
<div class="line"><a id="l00080" name="l00080"></a><span class="lineno">   80</span> </div>
<div class="line"><a id="l00081" name="l00081"></a><span class="lineno">   81</span>        FPrintln(file, <span class="stringliteral">&quot;Expansion_&quot;</span> + fsmName + <span class="stringliteral">&quot;_FSM_&quot;</span> + <a class="code hl_class" href="../../de/d7f/class_expansion_f_s_m_type.html">ExpansionFSMType</a>.<a class="code hl_variable" href="../../de/d7f/class_expansion_f_s_m_type.html#a9afb5993cc1b047b684778375281f752">s_ReloadNumber</a> + <span class="stringliteral">&quot; fsm;&quot;</span>);</div>
<div class="line"><a id="l00082" name="l00082"></a><span class="lineno">   82</span> </div>
<div class="line"><a id="l00083" name="l00083"></a><span class="lineno">   83</span>        <span class="keyword">auto</span> variables = xml_root_tag.GetTag(<span class="stringliteral">&quot;variables&quot;</span>);</div>
<div class="line"><a id="l00084" name="l00084"></a><span class="lineno">   84</span>        <span class="keywordflow">if</span> (variables.Count() &gt; 0)</div>
<div class="line"><a id="l00085" name="l00085"></a><span class="lineno">   85</span>        {</div>
<div class="line"><a id="l00086" name="l00086"></a><span class="lineno">   86</span>            variables = variables[0].GetTag(<span class="stringliteral">&quot;variable&quot;</span>);</div>
<div class="line"><a id="l00087" name="l00087"></a><span class="lineno">   87</span>            <span class="keywordflow">foreach</span> (<span class="keyword">auto</span> variable : variables)</div>
<div class="line"><a id="l00088" name="l00088"></a><span class="lineno">   88</span>            {</div>
<div class="line"><a id="l00089" name="l00089"></a><span class="lineno">   89</span>                <span class="keywordtype">string</span> variable_name = variable.GetAttribute(<span class="stringliteral">&quot;name&quot;</span>).ValueAsString();</div>
<div class="line"><a id="l00090" name="l00090"></a><span class="lineno">   90</span>                <span class="keywordtype">string</span> variable_type = variable.GetAttribute(<span class="stringliteral">&quot;type&quot;</span>).ValueAsString();</div>
<div class="line"><a id="l00091" name="l00091"></a><span class="lineno">   91</span>                <span class="keywordtype">string</span> variable_default = <span class="stringliteral">&quot;&quot;</span>;</div>
<div class="line"><a id="l00092" name="l00092"></a><span class="lineno">   92</span> </div>
<div class="line"><a id="l00093" name="l00093"></a><span class="lineno">   93</span>                <span class="keywordflow">if</span> (variable.GetAttribute(<span class="stringliteral">&quot;default&quot;</span>))</div>
<div class="line"><a id="l00094" name="l00094"></a><span class="lineno">   94</span>                {</div>
<div class="line"><a id="l00095" name="l00095"></a><span class="lineno">   95</span>                    variable_default = variable.GetAttribute(<span class="stringliteral">&quot;default&quot;</span>).ValueAsString();</div>
<div class="line"><a id="l00096" name="l00096"></a><span class="lineno">   96</span>                }</div>
<div class="line"><a id="l00097" name="l00097"></a><span class="lineno">   97</span> </div>
<div class="line"><a id="l00098" name="l00098"></a><span class="lineno">   98</span>                new_type.<a class="code hl_variable" href="../../d3/d2e/class_expansion_state_type.html#acea37109200c90247445fd42cae06b22">m_Variables</a>.Insert(variable_name);</div>
<div class="line"><a id="l00099" name="l00099"></a><span class="lineno">   99</span> </div>
<div class="line"><a id="l00100" name="l00100"></a><span class="lineno">  100</span>                <span class="keywordtype">string</span> variable_line = <span class="stringliteral">&quot;&quot;</span> + variable_type + <span class="stringliteral">&quot; &quot;</span> + variable_name;</div>
<div class="line"><a id="l00101" name="l00101"></a><span class="lineno">  101</span>                <span class="keywordflow">if</span> (variable_default != <span class="stringliteral">&quot;&quot;</span>)</div>
<div class="line"><a id="l00102" name="l00102"></a><span class="lineno">  102</span>                {</div>
<div class="line"><a id="l00103" name="l00103"></a><span class="lineno">  103</span>                    variable_line = variable_line + <span class="stringliteral">&quot; = &quot;</span> + variable_default;</div>
<div class="line"><a id="l00104" name="l00104"></a><span class="lineno">  104</span>                }</div>
<div class="line"><a id="l00105" name="l00105"></a><span class="lineno">  105</span> </div>
<div class="line"><a id="l00106" name="l00106"></a><span class="lineno">  106</span>                variable_line = variable_line + <span class="stringliteral">&quot;;&quot;</span>;</div>
<div class="line"><a id="l00107" name="l00107"></a><span class="lineno">  107</span> </div>
<div class="line"><a id="l00108" name="l00108"></a><span class="lineno">  108</span>                FPrintln(file, variable_line);</div>
<div class="line"><a id="l00109" name="l00109"></a><span class="lineno">  109</span>            }</div>
<div class="line"><a id="l00110" name="l00110"></a><span class="lineno">  110</span>        }</div>
<div class="line"><a id="l00111" name="l00111"></a><span class="lineno">  111</span> </div>
<div class="line"><a id="l00112" name="l00112"></a><span class="lineno">  112</span>        FPrintln(file, <span class="stringliteral">&quot;void &quot;</span> + class_name + <span class="stringliteral">&quot;(ExpansionFSM _fsm) {&quot;</span>);</div>
<div class="line"><a id="l00113" name="l00113"></a><span class="lineno">  113</span>        FPrintln(file, <span class="stringliteral">&quot;Class.CastTo(fsm, _fsm);&quot;</span>);</div>
<div class="line"><a id="l00114" name="l00114"></a><span class="lineno">  114</span>        FPrintln(file, <span class="stringliteral">&quot;m_ClassName = \&quot;&quot;</span> + class_name + <span class="stringliteral">&quot;\&quot;;&quot;</span>);</div>
<div class="line"><a id="l00115" name="l00115"></a><span class="lineno">  115</span>        <span class="keywordflow">if</span> (child_fsm != <span class="stringliteral">&quot;&quot;</span>)</div>
<div class="line"><a id="l00116" name="l00116"></a><span class="lineno">  116</span>        {</div>
<div class="line"><a id="l00117" name="l00117"></a><span class="lineno">  117</span>            FPrintln(file, <span class="stringliteral">&quot;m_Name = \&quot;&quot;</span> + child_fsm + <span class="stringliteral">&quot;\&quot;;&quot;</span>);</div>
<div class="line"><a id="l00118" name="l00118"></a><span class="lineno">  118</span>            FPrintln(file, <span class="stringliteral">&quot;m_SubFSM = new &quot;</span> + child_fsm_name + <span class="stringliteral">&quot;(_fsm.GetOwner(), this);&quot;</span>);</div>
<div class="line"><a id="l00119" name="l00119"></a><span class="lineno">  119</span>            FPrintln(file, <span class="stringliteral">&quot;Class.CastTo(sub_fsm, m_SubFSM);&quot;</span>);</div>
<div class="line"><a id="l00120" name="l00120"></a><span class="lineno">  120</span>        }</div>
<div class="line"><a id="l00121" name="l00121"></a><span class="lineno">  121</span>        <span class="keywordflow">else</span></div>
<div class="line"><a id="l00122" name="l00122"></a><span class="lineno">  122</span>        {</div>
<div class="line"><a id="l00123" name="l00123"></a><span class="lineno">  123</span>            FPrintln(file, <span class="stringliteral">&quot;m_Name = \&quot;&quot;</span> + name + <span class="stringliteral">&quot;\&quot;;&quot;</span>);</div>
<div class="line"><a id="l00124" name="l00124"></a><span class="lineno">  124</span>        }</div>
<div class="line"><a id="l00125" name="l00125"></a><span class="lineno">  125</span> </div>
<div class="line"><a id="l00126" name="l00126"></a><span class="lineno">  126</span>        FPrintln(file, <span class="stringliteral">&quot;}&quot;</span>);</div>
<div class="line"><a id="l00127" name="l00127"></a><span class="lineno">  127</span> </div>
<div class="line"><a id="l00128" name="l00128"></a><span class="lineno">  128</span>        <span class="keyword">auto</span> event_entry = xml_root_tag.GetTag(<span class="stringliteral">&quot;event_entry&quot;</span>);</div>
<div class="line"><a id="l00129" name="l00129"></a><span class="lineno">  129</span>        <span class="keyword">auto</span> event_exit = xml_root_tag.GetTag(<span class="stringliteral">&quot;event_exit&quot;</span>);</div>
<div class="line"><a id="l00130" name="l00130"></a><span class="lineno">  130</span>        <span class="keyword">auto</span> event_update = xml_root_tag.GetTag(<span class="stringliteral">&quot;event_update&quot;</span>);</div>
<div class="line"><a id="l00131" name="l00131"></a><span class="lineno">  131</span> </div>
<div class="line"><a id="l00132" name="l00132"></a><span class="lineno">  132</span>        <span class="keywordflow">if</span> (child_fsm != <span class="stringliteral">&quot;&quot;</span>)</div>
<div class="line"><a id="l00133" name="l00133"></a><span class="lineno">  133</span>        {</div>
<div class="line"><a id="l00134" name="l00134"></a><span class="lineno">  134</span>            FPrintln(file, <span class="stringliteral">&quot;override void OnEntry(string Event, ExpansionState From) {&quot;</span>);</div>
<div class="line"><a id="l00135" name="l00135"></a><span class="lineno">  135</span><span class="preprocessor">#ifdef EAI_TRACE</span></div>
<div class="line"><a id="l00136" name="l00136"></a><span class="lineno">  136</span>            FPrintln(file, <span class="stringliteral">&quot;auto trace = CF_Trace_2(this, \&quot;OnEntry\&quot;).Add(Event).Add(From);&quot;</span>);</div>
<div class="line"><a id="l00137" name="l00137"></a><span class="lineno">  137</span><span class="preprocessor">#endif</span></div>
<div class="line"><a id="l00138" name="l00138"></a><span class="lineno">  138</span>            FPrintln(file, <span class="stringliteral">&quot;if (Event != \&quot;&quot;</span>+<span class="stringliteral">&quot;\&quot;) m_SubFSM.Start(Event);&quot;</span>);</div>
<div class="line"><a id="l00139" name="l00139"></a><span class="lineno">  139</span>            FPrintln(file, <span class="stringliteral">&quot;else m_SubFSM.StartDefault();&quot;</span>);</div>
<div class="line"><a id="l00140" name="l00140"></a><span class="lineno">  140</span>            <a class="code hl_function" href="../../d3/d2e/class_expansion_state_type.html#a7786ad84818621a3c3240b714741fdb3">FPrintTag0</a>(file, event_entry);</div>
<div class="line"><a id="l00141" name="l00141"></a><span class="lineno">  141</span>            FPrintln(file, <span class="stringliteral">&quot;}&quot;</span>);</div>
<div class="line"><a id="l00142" name="l00142"></a><span class="lineno">  142</span> </div>
<div class="line"><a id="l00143" name="l00143"></a><span class="lineno">  143</span>            FPrintln(file, <span class="stringliteral">&quot;override void OnExit(string Event, bool Aborted, ExpansionState To) {&quot;</span>);</div>
<div class="line"><a id="l00144" name="l00144"></a><span class="lineno">  144</span><span class="preprocessor">#ifdef EAI_TRACE</span></div>
<div class="line"><a id="l00145" name="l00145"></a><span class="lineno">  145</span>            FPrintln(file, <span class="stringliteral">&quot;auto trace = CF_Trace_3(this, \&quot;OnExit\&quot;).Add(Event).Add(Aborted).Add(To);&quot;</span>);</div>
<div class="line"><a id="l00146" name="l00146"></a><span class="lineno">  146</span><span class="preprocessor">#endif</span></div>
<div class="line"><a id="l00147" name="l00147"></a><span class="lineno">  147</span>            FPrintln(file, <span class="stringliteral">&quot;if (Aborted) m_SubFSM.Abort(Event);&quot;</span>);</div>
<div class="line"><a id="l00148" name="l00148"></a><span class="lineno">  148</span>            <a class="code hl_function" href="../../d3/d2e/class_expansion_state_type.html#a7786ad84818621a3c3240b714741fdb3">FPrintTag0</a>(file, event_exit);</div>
<div class="line"><a id="l00149" name="l00149"></a><span class="lineno">  149</span>            FPrintln(file, <span class="stringliteral">&quot;}&quot;</span>);</div>
<div class="line"><a id="l00150" name="l00150"></a><span class="lineno">  150</span> </div>
<div class="line"><a id="l00151" name="l00151"></a><span class="lineno">  151</span>            FPrintln(file, <span class="stringliteral">&quot;override int OnUpdate(float DeltaTime, int SimulationPrecision) {&quot;</span>);</div>
<div class="line"><a id="l00152" name="l00152"></a><span class="lineno">  152</span><span class="preprocessor">#ifdef EAI_TRACE</span></div>
<div class="line"><a id="l00153" name="l00153"></a><span class="lineno">  153</span>            FPrintln(file, <span class="stringliteral">&quot;auto trace = CF_Trace_2(this, \&quot;OnUpdate\&quot;).Add(DeltaTime).Add(SimulationPrecision);&quot;</span>);</div>
<div class="line"><a id="l00154" name="l00154"></a><span class="lineno">  154</span><span class="preprocessor">#endif</span></div>
<div class="line"><a id="l00155" name="l00155"></a><span class="lineno">  155</span>            FPrintln(file, <span class="stringliteral">&quot;if (m_SubFSM.Update(DeltaTime, SimulationPrecision) == EXIT) return EXIT;&quot;</span>);</div>
<div class="line"><a id="l00156" name="l00156"></a><span class="lineno">  156</span>            <span class="keywordflow">if</span> (!<a class="code hl_function" href="../../d3/d2e/class_expansion_state_type.html#a7786ad84818621a3c3240b714741fdb3">FPrintTag0</a>(file, event_update))</div>
<div class="line"><a id="l00157" name="l00157"></a><span class="lineno">  157</span>            {</div>
<div class="line"><a id="l00158" name="l00158"></a><span class="lineno">  158</span>                FPrintln(file, <span class="stringliteral">&quot;return CONTINUE;&quot;</span>);</div>
<div class="line"><a id="l00159" name="l00159"></a><span class="lineno">  159</span>            }</div>
<div class="line"><a id="l00160" name="l00160"></a><span class="lineno">  160</span>            FPrintln(file, <span class="stringliteral">&quot;}&quot;</span>);</div>
<div class="line"><a id="l00161" name="l00161"></a><span class="lineno">  161</span>        }</div>
<div class="line"><a id="l00162" name="l00162"></a><span class="lineno">  162</span>        <span class="keywordflow">else</span></div>
<div class="line"><a id="l00163" name="l00163"></a><span class="lineno">  163</span>        {</div>
<div class="line"><a id="l00164" name="l00164"></a><span class="lineno">  164</span>            FPrintln(file, <span class="stringliteral">&quot;override void OnEntry(string Event, ExpansionState From) {&quot;</span>);</div>
<div class="line"><a id="l00165" name="l00165"></a><span class="lineno">  165</span><span class="preprocessor">#ifdef EAI_TRACE</span></div>
<div class="line"><a id="l00166" name="l00166"></a><span class="lineno">  166</span>            FPrintln(file, <span class="stringliteral">&quot;auto trace = CF_Trace_2(this, \&quot;OnEntry\&quot;).Add(Event).Add(From);&quot;</span>);</div>
<div class="line"><a id="l00167" name="l00167"></a><span class="lineno">  167</span><span class="preprocessor">#endif</span></div>
<div class="line"><a id="l00168" name="l00168"></a><span class="lineno">  168</span>            <a class="code hl_function" href="../../d3/d2e/class_expansion_state_type.html#a7786ad84818621a3c3240b714741fdb3">FPrintTag0</a>(file, event_entry);</div>
<div class="line"><a id="l00169" name="l00169"></a><span class="lineno">  169</span>            FPrintln(file, <span class="stringliteral">&quot;}&quot;</span>);</div>
<div class="line"><a id="l00170" name="l00170"></a><span class="lineno">  170</span> </div>
<div class="line"><a id="l00171" name="l00171"></a><span class="lineno">  171</span>            FPrintln(file, <span class="stringliteral">&quot;override void OnExit(string Event, bool Aborted, ExpansionState To) {&quot;</span>);</div>
<div class="line"><a id="l00172" name="l00172"></a><span class="lineno">  172</span><span class="preprocessor">#ifdef EAI_TRACE</span></div>
<div class="line"><a id="l00173" name="l00173"></a><span class="lineno">  173</span>            FPrintln(file, <span class="stringliteral">&quot;auto trace = CF_Trace_3(this, \&quot;OnExit\&quot;).Add(Event).Add(Aborted).Add(To);&quot;</span>);</div>
<div class="line"><a id="l00174" name="l00174"></a><span class="lineno">  174</span><span class="preprocessor">#endif</span></div>
<div class="line"><a id="l00175" name="l00175"></a><span class="lineno">  175</span>            <a class="code hl_function" href="../../d3/d2e/class_expansion_state_type.html#a7786ad84818621a3c3240b714741fdb3">FPrintTag0</a>(file, event_exit);</div>
<div class="line"><a id="l00176" name="l00176"></a><span class="lineno">  176</span>            FPrintln(file, <span class="stringliteral">&quot;}&quot;</span>);</div>
<div class="line"><a id="l00177" name="l00177"></a><span class="lineno">  177</span> </div>
<div class="line"><a id="l00178" name="l00178"></a><span class="lineno">  178</span>            FPrintln(file, <span class="stringliteral">&quot;override int OnUpdate(float DeltaTime, int SimulationPrecision) {&quot;</span>);</div>
<div class="line"><a id="l00179" name="l00179"></a><span class="lineno">  179</span><span class="preprocessor">#ifdef EAI_TRACE</span></div>
<div class="line"><a id="l00180" name="l00180"></a><span class="lineno">  180</span>            FPrintln(file, <span class="stringliteral">&quot;auto trace = CF_Trace_2(this, \&quot;OnUpdate\&quot;).Add(DeltaTime).Add(SimulationPrecision);&quot;</span>);</div>
<div class="line"><a id="l00181" name="l00181"></a><span class="lineno">  181</span><span class="preprocessor">#endif</span></div>
<div class="line"><a id="l00182" name="l00182"></a><span class="lineno">  182</span>            <span class="keywordflow">if</span> (!<a class="code hl_function" href="../../d3/d2e/class_expansion_state_type.html#a7786ad84818621a3c3240b714741fdb3">FPrintTag0</a>(file, event_update))</div>
<div class="line"><a id="l00183" name="l00183"></a><span class="lineno">  183</span>            {</div>
<div class="line"><a id="l00184" name="l00184"></a><span class="lineno">  184</span>                FPrintln(file, <span class="stringliteral">&quot;return CONTINUE;&quot;</span>);</div>
<div class="line"><a id="l00185" name="l00185"></a><span class="lineno">  185</span>            }</div>
<div class="line"><a id="l00186" name="l00186"></a><span class="lineno">  186</span> </div>
<div class="line"><a id="l00187" name="l00187"></a><span class="lineno">  187</span>            FPrintln(file, <span class="stringliteral">&quot;}&quot;</span>);</div>
<div class="line"><a id="l00188" name="l00188"></a><span class="lineno">  188</span>        }</div>
<div class="line"><a id="l00189" name="l00189"></a><span class="lineno">  189</span> </div>
<div class="line"><a id="l00190" name="l00190"></a><span class="lineno">  190</span>        FPrintln(file, <span class="stringliteral">&quot;}&quot;</span>);</div>
<div class="line"><a id="l00191" name="l00191"></a><span class="lineno">  191</span>        </div>
<div class="line"><a id="l00192" name="l00192"></a><span class="lineno">  192</span>        <a class="code hl_class" href="../../d3/d2e/class_expansion_state_type.html">ExpansionStateType</a>.<a class="code hl_function" href="../../d3/d2e/class_expansion_state_type.html#a30a6cf0ddcb58b433699e31723266f1e">Add</a>(new_type);</div>
<div class="line"><a id="l00193" name="l00193"></a><span class="lineno">  193</span>        </div>
<div class="line"><a id="l00194" name="l00194"></a><span class="lineno">  194</span>        <span class="keywordflow">return</span> new_type;</div>
<div class="line"><a id="l00195" name="l00195"></a><span class="lineno">  195</span>    }</div>
<div class="line"><a id="l00196" name="l00196"></a><span class="lineno">  196</span> </div>
<div class="line"><a id="l00197" name="l00197"></a><span class="lineno"><a class="line" href="../../d3/d2e/class_expansion_state_type.html#a7786ad84818621a3c3240b714741fdb3">  197</a></span>    <span class="keyword">static</span> <span class="keywordtype">bool</span> <a class="code hl_function" href="../../d3/d2e/class_expansion_state_type.html#a7786ad84818621a3c3240b714741fdb3">FPrintTag0</a>(FileHandle file, array&lt;CF_XML_Tag&gt; tags)</div>
<div class="line"><a id="l00198" name="l00198"></a><span class="lineno">  198</span>    {</div>
<div class="line"><a id="l00199" name="l00199"></a><span class="lineno">  199</span>        <span class="keywordflow">if</span> (tags.Count() &gt; 0)</div>
<div class="line"><a id="l00200" name="l00200"></a><span class="lineno">  200</span>        {</div>
<div class="line"><a id="l00201" name="l00201"></a><span class="lineno">  201</span>            <span class="keywordtype">string</span> content = tags[0].GetContent().GetContent();</div>
<div class="line"><a id="l00202" name="l00202"></a><span class="lineno">  202</span>            <span class="keywordflow">if</span> (content.Trim())</div>
<div class="line"><a id="l00203" name="l00203"></a><span class="lineno">  203</span>            {</div>
<div class="line"><a id="l00204" name="l00204"></a><span class="lineno">  204</span>                FPrintln(file, content);</div>
<div class="line"><a id="l00205" name="l00205"></a><span class="lineno">  205</span>                <span class="keywordflow">return</span> <span class="keyword">true</span>;</div>
<div class="line"><a id="l00206" name="l00206"></a><span class="lineno">  206</span>            }</div>
<div class="line"><a id="l00207" name="l00207"></a><span class="lineno">  207</span>        }</div>
<div class="line"><a id="l00208" name="l00208"></a><span class="lineno">  208</span> </div>
<div class="line"><a id="l00209" name="l00209"></a><span class="lineno">  209</span>        <span class="keywordflow">return</span> <span class="keyword">false</span>;</div>
<div class="line"><a id="l00210" name="l00210"></a><span class="lineno">  210</span>    }</div>
<div class="line"><a id="l00211" name="l00211"></a><span class="lineno">  211</span>};</div>
<div class="ttc" id="acf__trace_8c_html_a0d014f7d8fe470a42032abc78925b9d5"><div class="ttname"><a href="../../d2/d48/cf__trace_8c.html#a0d014f7d8fe470a42032abc78925b9d5">CF_Trace_2</a></div><div class="ttdeci">static CF_Trace CF_Trace_2(bool doLog, Class instance)</div><div class="ttdef"><b>Definition:</b> <a href="../../d2/d48/cf__trace_8c_source.html#l00081">cf_trace.c:81</a></div></div>
<div class="ttc" id="acf__trace_8c_html_a2dbd0d5f5331e4721875b123084eb0df"><div class="ttname"><a href="../../d2/d48/cf__trace_8c.html#a2dbd0d5f5331e4721875b123084eb0df">CF_Trace_1</a></div><div class="ttdeci">static CF_Trace CF_Trace_1(bool doLog, Class instance)</div><div class="ttdef"><b>Definition:</b> <a href="../../d2/d48/cf__trace_8c_source.html#l00075">cf_trace.c:75</a></div></div>
<div class="ttc" id="acf__trace_8c_html_a5be2213174cd68943ae1e0885eca5ec7"><div class="ttname"><a href="../../d2/d48/cf__trace_8c.html#a5be2213174cd68943ae1e0885eca5ec7">CF_Trace_0</a></div><div class="ttdeci">static CF_Trace CF_Trace_0(bool doLog, Class instance)</div><div class="ttdef"><b>Definition:</b> <a href="../../d2/d48/cf__trace_8c_source.html#l00069">cf_trace.c:69</a></div></div>
<div class="ttc" id="aclass_expansion_f_s_m_type_html"><div class="ttname"><a href="../../de/d7f/class_expansion_f_s_m_type.html">ExpansionFSMType</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d2/df9/expansionfsmtype_8c_source.html#l00001">expansionfsmtype.c:2</a></div></div>
<div class="ttc" id="aclass_expansion_f_s_m_type_html_a113dbdaf4b2f55c93f5474ddb435c1a4"><div class="ttname"><a href="../../de/d7f/class_expansion_f_s_m_type.html#a113dbdaf4b2f55c93f5474ddb435c1a4">ExpansionFSMType::m_Type</a></div><div class="ttdeci">string m_Type</div><div class="ttdef"><b>Definition:</b> <a href="../../d2/df9/expansionfsmtype_8c_source.html#l00009">expansionfsmtype.c:9</a></div></div>
<div class="ttc" id="aclass_expansion_f_s_m_type_html_a9afb5993cc1b047b684778375281f752"><div class="ttname"><a href="../../de/d7f/class_expansion_f_s_m_type.html#a9afb5993cc1b047b684778375281f752">ExpansionFSMType::s_ReloadNumber</a></div><div class="ttdeci">static int s_ReloadNumber</div><div class="ttdef"><b>Definition:</b> <a href="../../d2/df9/expansionfsmtype_8c_source.html#l00003">expansionfsmtype.c:3</a></div></div>
<div class="ttc" id="aclass_expansion_f_s_m_type_html_ac4eb221384338294352c03dd40eac8b5"><div class="ttname"><a href="../../de/d7f/class_expansion_f_s_m_type.html#ac4eb221384338294352c03dd40eac8b5">ExpansionFSMType::m_Name</a></div><div class="ttdeci">string m_Name</div><div class="ttdef"><b>Definition:</b> <a href="../../d2/df9/expansionfsmtype_8c_source.html#l00008">expansionfsmtype.c:8</a></div></div>
<div class="ttc" id="aclass_expansion_state_type_html"><div class="ttname"><a href="../../d3/d2e/class_expansion_state_type.html">ExpansionStateType</a></div><div class="ttdef"><b>Definition:</b> <a href="../../db/d08/expansionstatetype_8c_source.html#l00001">expansionstatetype.c:2</a></div></div>
<div class="ttc" id="aclass_expansion_state_type_html_a30a6cf0ddcb58b433699e31723266f1e"><div class="ttname"><a href="../../d3/d2e/class_expansion_state_type.html#a30a6cf0ddcb58b433699e31723266f1e">ExpansionStateType::Add</a></div><div class="ttdeci">static void Add(ExpansionStateType type)</div><div class="ttdef"><b>Definition:</b> <a href="../../db/d08/expansionstatetype_8c_source.html#l00026">expansionstatetype.c:26</a></div></div>
<div class="ttc" id="aclass_expansion_state_type_html_a3d458ed295d38b255e1af7d760afd332"><div class="ttname"><a href="../../d3/d2e/class_expansion_state_type.html#a3d458ed295d38b255e1af7d760afd332">ExpansionStateType::Get</a></div><div class="ttdeci">static ExpansionStateType Get(string type)</div><div class="ttdef"><b>Definition:</b> <a href="../../db/d08/expansionstatetype_8c_source.html#l00035">expansionstatetype.c:35</a></div></div>
<div class="ttc" id="aclass_expansion_state_type_html_a70ef731092274a1289f55897d5d01d10"><div class="ttname"><a href="../../d3/d2e/class_expansion_state_type.html#a70ef731092274a1289f55897d5d01d10">ExpansionStateType::ExpansionStateType</a></div><div class="ttdeci">void ExpansionStateType()</div><div class="ttdef"><b>Definition:</b> <a href="../../db/d08/expansionstatetype_8c_source.html#l00008">expansionstatetype.c:8</a></div></div>
<div class="ttc" id="aclass_expansion_state_type_html_a7786ad84818621a3c3240b714741fdb3"><div class="ttname"><a href="../../d3/d2e/class_expansion_state_type.html#a7786ad84818621a3c3240b714741fdb3">ExpansionStateType::FPrintTag0</a></div><div class="ttdeci">static bool FPrintTag0(FileHandle file, array&lt; CF_XML_Tag &gt; tags)</div><div class="ttdef"><b>Definition:</b> <a href="../../db/d08/expansionstatetype_8c_source.html#l00197">expansionstatetype.c:197</a></div></div>
<div class="ttc" id="aclass_expansion_state_type_html_a8d9b74753b5a1a9b64d85260cf611d5b"><div class="ttname"><a href="../../d3/d2e/class_expansion_state_type.html#a8d9b74753b5a1a9b64d85260cf611d5b">ExpansionStateType::LoadXML</a></div><div class="ttdeci">static ExpansionStateType LoadXML(ExpansionFSMType fsmType, CF_XML_Tag xml_root_tag, FileHandle file)</div><div class="ttdef"><b>Definition:</b> <a href="../../db/d08/expansionstatetype_8c_source.html#l00044">expansionstatetype.c:44</a></div></div>
<div class="ttc" id="aclass_expansion_state_type_html_a9d55f33f5950d7f7fd123ed203496b69"><div class="ttname"><a href="../../d3/d2e/class_expansion_state_type.html#a9d55f33f5950d7f7fd123ed203496b69">ExpansionStateType::m_Types</a></div><div class="ttdeci">static private ref map&lt; string, autoptr ExpansionStateType &gt; m_Types</div><div class="ttdef"><b>Definition:</b> <a href="../../db/d08/expansionstatetype_8c_source.html#l00003">expansionstatetype.c:3</a></div></div>
<div class="ttc" id="aclass_expansion_state_type_html_ab89ca757892188b442c707b9eb9fead0"><div class="ttname"><a href="../../d3/d2e/class_expansion_state_type.html#ab89ca757892188b442c707b9eb9fead0">ExpansionStateType::m_ClassName</a></div><div class="ttdeci">string m_ClassName</div><div class="ttdef"><b>Definition:</b> <a href="../../db/d08/expansionstatetype_8c_source.html#l00005">expansionstatetype.c:5</a></div></div>
<div class="ttc" id="aclass_expansion_state_type_html_acea37109200c90247445fd42cae06b22"><div class="ttname"><a href="../../d3/d2e/class_expansion_state_type.html#acea37109200c90247445fd42cae06b22">ExpansionStateType::m_Variables</a></div><div class="ttdeci">ref array&lt; string &gt; m_Variables</div><div class="ttdef"><b>Definition:</b> <a href="../../db/d08/expansionstatetype_8c_source.html#l00006">expansionstatetype.c:6</a></div></div>
<div class="ttc" id="aclass_expansion_state_type_html_aec063bd147132bcc20bae84fca5a52c5"><div class="ttname"><a href="../../d3/d2e/class_expansion_state_type.html#aec063bd147132bcc20bae84fca5a52c5">ExpansionStateType::Contains</a></div><div class="ttdeci">static bool Contains(string name)</div><div class="ttdef"><b>Definition:</b> <a href="../../db/d08/expansionstatetype_8c_source.html#l00017">expansionstatetype.c:17</a></div></div>
</div><!-- fragment --></div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="../../dir_6127fff2da0a20e2dc2cd9302c584350.html">DayzExpansion</a></li><li class="navelem"><a class="el" href="../../dir_fa1f4f079ed95106cba6603012ba90d8.html">Core</a></li><li class="navelem"><a class="el" href="../../dir_4763e2204ca4935d3e08fff4ec8c41d9.html">Scripts</a></li><li class="navelem"><a class="el" href="../../dir_2f8e807662ba55784a08a7a744bca2da.html">4_world</a></li><li class="navelem"><a class="el" href="../../dir_941d75c2f3e001cbf2e710cd4f7d66b3.html">dayzexpansion_core</a></li><li class="navelem"><a class="el" href="../../dir_fde4ebb0f214ef7c3c8294622a009974.html">classes</a></li><li class="navelem"><a class="el" href="../../dir_b3b86c0f5f1a7324b3e73991bf51d710.html">fsm</a></li><li class="navelem"><a class="el" href="../../db/d08/expansionstatetype_8c.html">expansionstatetype.c</a></li>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="../../doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.5 </li>
  </ul>
</div>
</body>
</html>
